from PIL import Image
from PIL.ExifTags import TAGS

from django.db.models import get_model
from django.conf import settings


def get_exif(fn):
    """
    Get the photo information
    """
    ret = {}
    i = Image.open(fn)
    info = i._getexif()
    for tag, value in info.items():
        decoded = TAGS.get(tag, tag)
        ret[decoded] = value
    return ret