from django.conf.urls.defaults import  patterns, url
from django.contrib.auth.decorators import login_required
from photos.views import (PhotoDetailView,
                          PhotoDeleteView,
                          PhotoUploadView,
                          PhotosView)

urlpatterns = patterns("",
                        url(r'^photos-ajax/$', PhotosView.as_view(), name='photos_ajax'),
                        url(r'^upload-photo/$', PhotoUploadView.as_view(), name='photo_upload'),
                        url(r'^details/(?P<photo_id>\d+)/$', PhotoDetailView.as_view(), name='photo_details'),
                        url(r'^details/(?P<photo_id>\d+)/delete/$', login_required(PhotoDeleteView.as_view()), name='photo_delete'),
                   )