from django.contrib import admin

from profiles.models import Profile


class ProfileAdmin(admin.ModelAdmin):
    list_display = ('user', 'first_name', 'last_name',)
    search_fields = ('user__username', 'first_name', 'last_name', 'location')

admin.site.register(Profile, ProfileAdmin)