from actstream.models import following, followers

import urllib2

# Create your views here.
from django.core.urlresolvers import reverse, reverse_lazy
from django.utils.translation import ugettext as _
from django.conf import settings
from django.shortcuts import get_object_or_404, render_to_response
from django.http import HttpResponse, HttpResponseRedirect, Http404
from django.template import RequestContext
from django.contrib.auth.decorators import login_required
from django.views.generic import DetailView, CreateView, TemplateView
from django.views.generic.list import ListView

from profiles.models import Profile


class ProfileListView(ListView):
    """
    Displays a profile list.
    This page used follow/unfollow tags. 
    """
    model = Profile
    template_name = "profiles/profile_list.html"
    profiles = Profile.objects.all()

    def get_context_data(self, **kwargs):
        context = super(ProfileListView, self).get_context_data(**kwargs)
        context['user_profiles'] = self.profiles
        return context

# TODO
# class ProfileDetailView(DetailView):

#     model = Profile
#     template_name = "profiles/profile_detail.html"

#     def get_object(self):
#         """
#         Get the object photo
#         """
#         return get_object_or_404(Profile, pk=self.kwargs['profile_id'])

#     def get_context_data(self, **kwargs):
#         context = super(ProfileDetailView, self).get_context_data(**kwargs)
#         return context
