from django.conf import settings
from django.conf.urls import patterns, include, url
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.views.generic.simple import direct_to_template

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # Examples:
    # url(r'^$', 'listcut.views.home', name='home'),
    # url(r'^listcut/', include('listcut.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    url(r'^admin/', include(admin.site.urls)),

    url(r"^$", "global.views.home", name="home"),
    url(r"^global/", include("global.urls")),
    url(r"^photos/", include("photos.urls")),
    url(r"^account/", include("global.auth_urls")),
    url(r'^social/', include('socialregistration.urls',
                namespace = 'socialregistration')),
    url(r'^assets/media/(?P<path>.*)$', 'django.views.static.serve', { 'document_root': settings.MEDIA_ROOT}),
    ('^activity/', include('actstream.urls')),
    # ('^follow/', include('follow.urls')),
    ('^profile/', include('profiles.urls')),
)

urlpatterns += staticfiles_urlpatterns()